/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2022 : LBE : V2.5
 * DM-ID : Redmine#9229 : 01/05/2022 : PFSS mode
 * ----------------------------------------
 */
package fr.tlse.irap.fieldLine;

import java.io.Serializable;

public class Cube implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * r grid values (planet radius ?)
     */
    private float[] rValues = null;
    /**
     * theta grid values colatitude (radians 0 => PI)
     */
    private float[] tValues = null;
    /**
     * phi grid values (radians 0 => 2*PI)
     */
    private float[] pValues = null;
    
    private float[][][] bXValues;
    private float[][][] bYValues;
    private float[][][] bZValues;

    public Cube() {
        super();
    }

    public Cube(float[] pRVals, float[] pTVals, float[] pPVals,
            float[][][] pBXVals, float[][][] pBYVals, float[][][] pBZVals) {
        this.rValues = pRVals;
        this.tValues = pTVals;
        this.pValues = pPVals;
        this.bXValues = pBXVals;
        this.bYValues = pBYVals;
        this.bZValues = pBZVals;
    }


    /**
     * @return the bXValues
     */
    public float[][][] getbXValues() {
        return bXValues;
    }

    /**
     * @param bXValues the bXValues to set
     */
    public void setbXValues(float[][][] bXValues) {
        this.bXValues = bXValues;
    }

    /**
     * @return the bYValues
     */
    public float[][][] getbYValues() {
        return bYValues;
    }

    /**
     * @param bYValues the bYValues to set
     */
    public void setbYValues(float[][][] bYValues) {
        this.bYValues = bYValues;
    }

    /**
     * @return the bZValues
     */
    public float[][][] getbZValues() {
        return bZValues;
    }

    /**
     * @param bZValues the bZValues to set
     */
    public void setbZValues(float[][][] bZValues) {
        this.bZValues = bZValues;
    }

    /**
     * @return the rValues
     */
    public float[] getrValues() {
        return rValues;
    }

    /**
     * @param rValues the rValues to set
     */
    public void setrValues(float[] rValues) {
        this.rValues = rValues;
    }

    /**
     * @return the tValues
     */
    public float[] gettValues() {
        return tValues;
    }

    /**
     * @param tValues the tValues to set
     */
    public void settValues(float[] tValues) {
        this.tValues = tValues;
    }

    /**
     * @return the pValues
     */
    public float[] getpValues() {
        return pValues;
    }

    /**
     * @param pValues the pValues to set
     */
    public void setpValues(float[] pValues) {
        this.pValues = pValues;
    }

}
